> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return / Unassign Phone Number

> Return a phone number and unassigns the number from the agent account. If provided by an external integrated number supplier, will return to them too. Requires reseller account.



## OpenAPI

````yaml post /api/v2/phoneNumber/return
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/phoneNumber/return:
    post:
      tags:
        - Phone Numbers
      summary: Return / Unassign Phone Number
      description: >-
        Return a phone number and unassigns the number from the agent account.
        If provided by an external integrated number supplier, will return to
        them too. Requires reseller account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - number
              properties:
                number:
                  description: Phone Number to unassign from your account
                  type: string
                  example: '+12145551234'
      responses:
        '200':
          description: Successfully returned phone number
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Unable to return phone number
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: A descriptive error message
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````